{% extends "layout.html" %}
{% block body %}
    <h2>Players</h2>
    <div class="table-responsive">
    <table class="table table-hover table-striped" id="datatable">
        <thead>
        <tr>
            <th></th>
            <th data-priority="3">Name</th>
            <th>#</th>
            <th>W</th>
            <th>L</th>
            <th>GF</th>
            <th>GA</th>
            <th>GD</th>
            <th data-priority="1">R</th>
            <th>extScore</th>
            <th data-priority="4">RO</th>
            <th >extScoreOffense</th>
            <th data-priority="5">RD</th>
            <th >extScoreDefense</th>

        </tr>
        </thead>
        {%- for player in players %}
        <tr>
            <td></td>
              <td>{% if current_user.is_authenticated %}<a href="/player/{{ player.id }}"> {{ player.player_name }}</a>{%
                else %}
                {{ player.player_name }}{% endif %}
            </td>
            <td> {{ player.player_stats.matches }}</td>
            <td>{{ player.player_stats.win_matches }}</td>
            <td>{{player.player_stats.loss_matches }}</td>
            <td>{{ player.player_stats.round_for }}</td>
            <td>{{ player.player_stats.round_against }}</td>
             <td>{{ player.player_stats.round_for-player.player_stats.round_against }}</td>
            <td data-order="{{ player.getRatingScore().display_rating() }}">{{ player.getRatingScore().display_rating() }} </td>
            <td>{{ player.getRatingScore().display_rating_ext() }} </td>
            <td data-order="{{ player.getRating(1).display_rating() }}">{{ player.getRating(1).display_rating() }} </td>
            <td>{{ player.getRating(1).display_rating_ext() }} </td>
            <td data-order="{{ player.getRating(2).display_rating() }}">{{ player.getRating(2).display_rating() }} </td>
            <td>{{ player.getRating(2).display_rating_ext() }} </td>

        </tr>
        {%- endfor %}
    </table>
    {% if current_user.is_authenticated %}<p><a href="{{ url_for('new_player') }}" class="btn btn-default">New Player</a></p>{% endif %}

</div>
<script>
    $(document).ready( function () {
    $('#datatable').DataTable( {
        paging: false,
        responsive: {
            details: {
                type: 'column',
                target: 'tr'
            }
        },
        columnDefs: [ {
            className: 'control',
            targets:   0
        } ],
        order: [ 0, 'desc' ]
    } );
} );
</script>


{% endblock %}